<!DOCTYPE html>
<html>
    <head>
        <style>
            div{
                margin:auto;
                color: white;
            }
            .outerdiv{
                position: relative;
                background-color: grey;
                width:400px;
                height:400px;
            }
            .innerdiv{
                position: absolute;
                background-color: black;
                width:200px;
                height:200px;
                bottom:0;
                right:0;
            }
        </style>
    </head>
    <body>
        <div class="outerdiv">
            div1
        <div class="innerdiv">
            div2
        </div>
        </div>
    </body>
</html>